Package virtuoso.jdbc4

## Class VirtuosoTimestamp

- java.lang.Object
- - java.util.Date
  - - java.sql.Timestamp
    - - virtuoso.jdbc4.VirtuosoTimestamp

    public class VirtuosoTimestamp
    extends java.sql.Timestamp

See Also:
  Serialized Form

### Constructor Summary

Constructors
`VirtuosoTimestamp​(long date)`
`VirtuosoTimestamp​(long time, int tz)`
`VirtuosoTimestamp​(long time, int tz, boolean with_tz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VirtuosoTimestamp` `clone​()`
`int` `getTimezone​()`
`java.lang.String` `toXSD_String​()`
`boolean` `withTimezone​()`

### Methods inherited from class java.util.Date

`after, before, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTimezoneOffset, getYear, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.sql.Timestamp

`after, before, compareTo, compareTo, equals, equals, from, getNanos, getTime, hashCode, setNanos, setTime, toInstant, toLocalDateTime, toString, valueOf, valueOf`

### Constructor Detail

#### VirtuosoTimestamp

    public VirtuosoTimestamp​(long date)

#### VirtuosoTimestamp

    public VirtuosoTimestamp​(long time,
                             int tz)

#### VirtuosoTimestamp

    public VirtuosoTimestamp​(long time,
                             int tz,
                             boolean with_tz)

### Method Detail

#### withTimezone

    public boolean withTimezone​()

#### getTimezone

    public int getTimezone​()

#### clone

    public VirtuosoTimestamp clone​()

Overrides:
  `clone` in class `java.util.Date`

#### toXSD_String

    public java.lang.String toXSD_String​()